---
go_arch_map:
  i386: '386'
  x86_64: 'amd64'
  aarch64: 'arm64'
  armv7l: 'armv7'
  armv6l: 'armv6'

go_arch: "{{ go_arch_map[ansible_architecture] | default(ansible_architecture) }}"

_binary_install_dir: "/usr/local/bin"
_binary_install_dir_windows: "C:\\Program Files\\otel"
_otelcol_windows_service_name: "opentelemetry_collector"
_node_exporter_system_group: "node-exp"
_node_exporter_system_user: "{{ _node_exporter_system_group }}"
_otelcol_system_group: "otelcol"
_otelcol_system_user: "{{ _otelcol_system_group }}"
_otelcol_config_path: "/etc/otelcol"
_otelcol_config_targets_path: "{{ _otelcol_config_path }}/targets"
_otelcol_config_file: "{{ _otelcol_config_path }}/config.yaml"
_otelcol_command: "{{ _binary_install_dir }}/otelcol $OTELCOL_OPTIONS"
_otelcol_validate: "{{ _binary_install_dir }}/otelcol validate --config=%s"
_otelcol_host_metrics: |-
     {% if
        prometheus_node_exporter or
        prometheus_postgres_exporter or
        prometheus_mysqld_exporter or
        prometheus_nginxlog_exporter or
        prometheus_nginx_exporter or
        prometheus_uwsgi_exporter or
        prometheus_postfix_exporter or
        prometheus_memcached_exporter or
        prometheus_maas_exporter or
        prometheus_redis_exporter or
        prometheus_windows_exporter
     %}{{ true }}{% else %}{{ false }}{% endif %}
_otelcol_host_logs: |-
     {% if
        otelcol_receiver_journald or
        otelcol_receiver_windows_events
     %}{{ true }}{% else %}{{ false }}{% endif %}
_otelcol_host_traces: false
_otelcol_host_telemetry: |-
     {% if
        _otelcol_host_metrics or
        _otelcol_host_logs or
        _otelcol_host_traces
     %}{{ true }}{% else %}{{ false }}{% endif %}
_otelcol_external_metrics: |-
     {% if
        prometheus_node_exporter_external or
        prometheus_blackbox_exporter or
        prometheus_helmet_exporter or
        prometheus_ipmi_exporter or
        prometheus_modbus_exporter
     %}{{ true }}{% else %}{{ false }}{% endif %}
_otelcol_external_logs: false
_otelcol_external_telemetry: |-
     {% if
        _otelcol_external_metrics
     %}{{ true }}{% else %}{{ false }}{% endif %}
_otelcol_external_traces: false
_otelcol_metrics: |-
     {% if
        _otelcol_host_metrics or
        _otelcol_external_metrics
     %}{{ true }}{% else %}{{ false }}{% endif %}
_otelcol_logs: |-
     {% if
        _otelcol_host_logs or
        _otelcol_external_logs
     %}{{ true }}{% else %}{{ false }}{% endif %}
_otelcol_traces: |-
     {% if
        _otelcol_external_traces
     %}{{ true }}{% else %}{{ false }}{% endif %}

_observability_check_urls: |-
     {% if
        observability_check_urls is defined or
        prometheus_blackbox_http_external is defined or
        observability_external_check_http is defined
     %}{{ true }}{% else %}{{ false }}{% endif %}

_observability_host_check: |-
     {% if
        observability_host_check or
        prometheus_blackbox_icmp
     %}{{ true }}{% else %}{{ false }}{% endif %}

_observability_host_check_target: "{{ _blackbox_icmp_target_host }}"

_observability_host_check_instance: |-
     {% if
        _blackbox_icmp_target_host is ansible.utils.ip_address
     %}{{ _blackbox_icmp_target_host }}{% else %}{{ _blackbox_icmp_target_host | split('.') | first }}{% endif %}

_observability_facts_collector_jobs_dir: "/usr/local/bin"
_observability_facts_collector_jobs:
  - name: apt_info.py
    template_file: apt_info.py.j2
    job: "/usr/bin/python3 {{ _observability_facts_collector_jobs_dir }}/apt_info.py"
    schedule: '00/4:00'
    required_packages:
      - python3-apt
      - python3-prometheus-client
...
